Bug 243437 - Review Request: gnome-specimen - A simple tool to view and compare fonts installed on your system
Summary: Review Request: gnome-specimen - A simple tool to view and compare fonts inst...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 17:41 UTC by Damien Durand
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-15 10:19:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
patch: fix wrong entries from desktop file (604 bytes, patch)
2007-06-16 02:21 UTC, Xavier Lamien
no flags Details | Diff

Description Damien Durand 2007-06-08 17:41:36 UTC
Spec URL: A simple tool to view and compare fonts installed on your system
SRPM URL: http://glive.tuxfamily.org/fedora/gnome-specimen/gnome-specimen-0.2-1.fc8.src.rpm
Description: Gnome Specimen is a simple tool to view and compare fonts installed on 
your system

Comment 2 Jason Tibbitts 2007-06-09 02:37:13 UTC
Just a vew comments:

Does this package actually need to be arch-specific?  It just seems to contain
python code to me, and so elicits
  E: gnome-specimen no-binary
from rpmlint, which also dislikes the desktop file:
  E: gnome-specimen invalid-desktopfile 
   //usr/share/applications/gnome-specimen.desktop
(the doubled slash seems to come from rpmlint).

desktop-file-validate says:
gnome-specimen.desktop: warning: key "Encoding" in group "Desktop Entry" is
deprecated
gnome-specimen.desktop: error: value "GTK;GNOME;Application;Graphics" for string
list key "Categories" in group "Desktop Entry" does not have a semicolon (';')
as trailing character




Comment 3 Xavier Lamien 2007-06-10 19:56:09 UTC
ping Damien

Comment 4 Xavier Lamien 2007-06-16 02:21:58 UTC
Created attachment 157171 [details]
patch: fix wrong entries from desktop file

note that your spec file need some improvment too.

1. move your desktop-file-install command in %%install stage
2. set your package as noarch package, its only contains code, no binaries.
--> in this case your python directory install need to be change to
%{python_sitelibs}
3. your package own other directories owned by other packages.

Comment 6 Xavier Lamien 2007-06-16 15:37:41 UTC
Some issue are still not fixed.

1. and 3. from [comment #4]


== additionnal comment: ==

*From desktop-file-install command:

$RPM_BUILD_ROOT%{_datadir}/applications//%{name}.desktop
instead of
$RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


* Your BR line is too long, paste it to two lines (at least)


Comment 7 Xavier Lamien 2007-06-16 16:18:01 UTC
oops typo:

s|applications//%{name}|applications/%{name}|

Comment 8 Xavier Lamien 2007-06-21 13:16:23 UTC
ping !

Comment 9 Damien Durand 2007-06-27 16:54:10 UTC
* Wed Jun 27 2007 Damien Durand <splinux@fedoraproject.org> - 0.2-3
- Fix owned directories

Spec URL: http://glive.tuxfamily.org/fedora/gnome-specimen/gnome-specimen.spec
SRPM URL:
http://glive.tuxfamily.org/fedora/gnome-specimen/gnome-specimen-0.2-3.fc8.src.rpm

Comment 10 Xavier Lamien 2007-06-28 04:52:57 UTC
Just a typo:

* From desktop-file-install command:
It's $RPM_BUILD_ROOT%{_datadir}/applications//%{name}.desktop
instead of
$RPM_BUILD_ROOT%/{_datadir}/applications//%{name}.desktop

that make mock fails to build.

Also, the %clean sectio should be only use to clean the temp directory.
Did you uploaded the right spec files ?

Comment 11 Xavier Lamien 2007-06-28 14:03:01 UTC
sorry, need fix before approve it.

Comment 13 Xavier Lamien 2007-07-14 02:56:03 UTC
=== REQUIRED ITEMS ===
 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully compiles and builds:
 [ OK ] Mock: built on FC-devel [noarch package]
 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ Ok ] License type: GPL
 [ OK ] The source package includes the text of the license(s) in %doc.
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ CHECK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP] Development .so files in -devel subpackage, if present.
 [ SKIP] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ OK ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

 [ OK ] Rpmlint output: Silent on both SRPM and RPM.
    	


==========
*APPROVED*
==========



Comment 14 Xavier Lamien 2007-07-14 02:56:30 UTC
Follow http://fedoraproject.org/wiki/CVSAdminProcedure for the CVS Request
procedure.



Comment 15 Damien Durand 2007-07-14 10:02:42 UTC
New Package CVS Request
=======================
Package Name: gnome-specimen
Short Description: A simple tool to view and compare fonts installed on your system
Owners: splinux@fedoraproject.org
Branches: FC-6 F-7

Comment 16 Kevin Fenzi 2007-07-15 04:09:16 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.